Bug 735966 - Startup blocks on stat()ing files on unaccessible servers
Summary: Startup blocks on stat()ing files on unaccessible servers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 443932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 10:25 UTC by Richard Marko
Modified: 2016-02-01 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 443932
Environment:
Last Closed: 2012-08-07 19:21:54 UTC


Attachments (Terms of Use)

Description Richard Marko 2011-09-06 10:25:26 UTC
+++ This bug was initially created as a clone of Bug #443932 +++

Description of problem:
Evince apparently keeps a list of recently open files and stat()s them on
startup. This becomes a problem if one of these files resides on a server that
is unavailable any more. This blocks the startup, the evince window never appears.

Version-Release number of selected component (if applicable):
evince-2.22.1.1-1.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open a file on a automounted NFS file system (evince /net/tmp-server/s.pdf)
2. Close evince. Disconnect tmp-server
3. Try opening a file on a local filesystem (evince /tmp/s.pdf) - the window
will never appear.
  
Actual results:
evince will hang with following strace:
[...]
stat("/home/pawsa/cv.pdf", {st_mode=S_IFREG|0664, st_size=92689, ...}) = 0
stat("/net/tmp-server/home/aa.pdf", ^C <unfinished ...>

(the last stat never finishes and needs to be interrupted).

Expected results:
Evince should just show the requested file!

Additional info:
This is a showstopper unless somebody tells me how to clean up the list of
recently accessed files. There is apparently no command line flag to disable
these stat() calls.

Comment 1 Richard Marko 2011-09-06 10:27:46 UTC
evince-3.0.2-1.fc15.x86_64 affected.

This is pretty annoying as the window will open but after very long time (nfs/cifs timeout) which renders evince unusable.

Comment 2 Fedora End Of Life 2012-08-07 19:21:56 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.